Delete SKU
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/products/{productId}/skus/{skuId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'Deletes a product SKU. This operation cannot be undone.
If the force parameter is set to false or not set at all, the SKU will be moved to the bin.
DELETE
/
v1
/
products
/
{productId}
/
skus
/
{skuId}
Delete SKU
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/products/{productId}/skus/{skuId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Path Parameters
Query Parameters
If this flag is set to true, the SKU will be removed permanently. If it is set to false or not set at all, the SKU will be moved to the bin. Going forward, the user will be able to create another SKU with exactly the same source_id.
Response
Returns no content if deletion is successful.
Last modified on May 29, 2026
Was this page helpful?
⌘I

